# Database of GMOS CCD amplifier GAIN and READNOISE properties
gmosampsGain = {
        # Database of GMOS CCD amplifier GAIN properties
        # after 2006-08-31
        # Columns below are given as:
        # READOUT, GAINSTATE, AMPNAME : GAIN
        # GMOS-N:
        # e2vDD CCDs best amps
        ("slow", "low",  "e2v 10031-23-05, right") : 2.310,
        ("slow", "high", "e2v 10031-23-05, right") : 4.520,
        ("fast", "high", "e2v 10031-23-05, right") : 5.340,
        ("fast", "low",  "e2v 10031-23-05, right") : 2.530,
        ("slow", "low",  "e2v 10031-01-03, right") : 2.270,
        ("slow", "high", "e2v 10031-01-03, right") : 4.390,
        ("fast", "high", "e2v 10031-01-03, right") : 5.270,
        ("fast", "low",  "e2v 10031-01-03, right") : 2.500,
        ("slow", "low",  "e2v 10031-18-04, left")  : 2.170,
        ("slow", "high", "e2v 10031-18-04, left")  : 4.820,
        ("fast", "high", "e2v 10031-18-04, left")  : 5.160,
        ("fast", "low",  "e2v 10031-18-04, left")  : 2.430,
        # e2vDD CCDs secondary amps
        ("slow", "low",  "e2v 10031-23-05, left")  : 2.310,
        ("slow", "high", "e2v 10031-23-05, left")  : 4.590,
        ("fast", "high", "e2v 10031-23-05, left")  : 5.360,
        ("fast", "low",  "e2v 10031-23-05, left")  : 2.530,
        ("slow", "low",  "e2v 10031-01-03, left")  : 2.210,
        ("slow", "high", "e2v 10031-01-03, left")  : 4.590,
        ("fast", "high", "e2v 10031-01-03, left")  : 5.100,
        ("fast", "low",  "e2v 10031-01-03, left")  : 2.410,
        ("slow", "low",  "e2v 10031-18-04, right") : 2.330,
        ("slow", "high", "e2v 10031-18-04, right") : 4.330,
        ("fast", "high", "e2v 10031-18-04, right") : 5.410,
        ("fast", "low",  "e2v 10031-18-04, right") : 2.560,
        # EEV CCDs best amps
        ("slow", "low",  "EEV 9273-16-03, right") : 2.100,
        ("slow", "high", "EEV 9273-16-03, right") : 4.405,
        ("fast", "high", "EEV 9273-16-03, right") : 4.839,
        ("fast", "low",  "EEV 9273-16-03, right") : 2.302,
        ("slow", "low",  "EEV 9273-20-04, right") : 2.337,
        ("slow", "high", "EEV 9273-20-04, right") : 4.916,
        ("fast", "high", "EEV 9273-20-04, right") : 5.432,
        ("fast", "low",  "EEV 9273-20-04, right") : 2.578,
        ("slow", "low",  "EEV 9273-20-03, left")  : 2.300,
        ("slow", "high", "EEV 9273-20-03, left")  : 4.841,
        ("fast", "high", "EEV 9273-20-03, left")  : 5.397,
        ("fast", "low",  "EEV 9273-20-03, left")  : 2.560,
        # EEV CCDs secondary amps
        ("slow", "low",  "EEV 9273-16-03, left")  : 2.012,
        ("slow", "high", "EEV 9273-16-03, left")  : 4.247,
        ("fast", "high", "EEV 9273-16-03, left")  : 4.629,
        ("fast", "low",  "EEV 9273-16-03, left")  : 2.189,
        ("slow", "low",  "EEV 9273-20-04, left")  : 2.280,
        ("slow", "high", "EEV 9273-20-04, left")  : 4.809,
        ("fast", "high", "EEV 9273-20-04, left")  : 5.275,
        ("fast", "low",  "EEV 9273-20-04, left")  : 2.498,
        ("slow", "low",  "EEV 9273-20-03, right") : 2.257,
        ("slow", "high", "EEV 9273-20-03, right") : 4.779,
        ("fast", "high", "EEV 9273-20-03, right") : 5.354,
        ("fast", "low",  "EEV 9273-20-03, right") : 2.526,
        # GMOS-S:
        # EEV CCDs best amps
        ("slow", "low",  "EEV 8056-20-03, left")  : 1.940,
        ("slow", "high", "EEV 8056-20-03, left")  : 4.100,
        ("fast", "high", "EEV 8056-20-03, left")  : 5.300,
        ("fast", "low",  "EEV 8056-20-03, left")  : 2.400,
        ("slow", "low",  "EEV 8194-19-04, left")  : 2.076,
        ("slow", "high", "EEV 8194-19-04, left")  : 4.532,
        ("fast", "high", "EEV 8194-19-04, left")  : 5.051,
        ("fast", "low",  "EEV 8194-19-04, left")  : 2.295,
        ("slow", "low",  "EEV 8261-07-04, right") : 2.097,
        ("slow", "high", "EEV 8261-07-04, right") : 4.411,
        ("fast", "high", "EEV 8261-07-04, right") : 4.833,
        ("fast", "low",  "EEV 8261-07-04, right") : 2.260,
        # EEV CCDs secondary amps
        ("slow", "low",  "EEV 8056-20-03, right") : 2.000,
        ("slow", "high", "EEV 8056-20-03, right") : 4.200,
        ("fast", "high", "EEV 8056-20-03, right") : 5.300,
        ("fast", "low",  "EEV 8056-20-03, right") : 2.400,
        ("slow", "low",  "EEV 8194-19-04, right") : 2.131,
        ("slow", "high", "EEV 8194-19-04, right") : 4.592,
        ("fast", "high", "EEV 8194-19-04, right") : 4.95,
        ("fast", "low",  "EEV 8194-19-04, right") : 2.288,
        ("slow", "low",  "EEV 8261-07-04, left")  : 2.056,
        ("slow", "high", "EEV 8261-07-04, left")  : 4.381,
        ("fast", "high", "EEV 8261-07-04, left")  : 4.868,
        ("fast", "low",  "EEV 8261-07-04, left")  : 2.264,
        # new GMOS-S EEV CCD: Best/Secondary
        ("slow", "low",  "EEV 2037-06-03, left")  : 2.372,
        ("slow", "high", "EEV 2037-06-03, left")  : 4.954,
        ("fast", "high", "EEV 2037-06-03, left")  : 5.054,
        ("fast", "low",  "EEV 2037-06-03, left")  : 2.408,
        ("slow", "low",  "EEV 2037-06-03, right") : 2.403,
        ("slow", "high", "EEV 2037-06-03, right") : 4.862,
        ("fast", "high", "EEV 2037-06-03, right") : 5.253,
        ("fast", "low",  "EEV 2037-06-03, right") : 2.551,
        # GMOS-S Hamamatsu CCDs
        #AMPS 1-4 (CCD1)
        ("slow", "low",  "BI5-36-4k-2, 1") : 1.652,
        ("slow", "high", "BI5-36-4k-2, 1") : 1.000,
        ("fast", "high", "BI5-36-4k-2, 1") : 4.857,
        ("fast", "low",  "BI5-36-4k-2, 1") : 1.440,
        ("slow", "low",  "BI5-36-4k-2, 2") : 1.730,
        ("slow", "high", "BI5-36-4k-2, 2") : 1.000,
        ("fast", "high", "BI5-36-4k-2, 2") : 5.062,
        ("fast", "low",  "BI5-36-4k-2, 2") : 1.495,
        ("slow", "low",  "BI5-36-4k-2, 3") : 1.700,
        ("slow", "high", "BI5-36-4k-2, 3") : 1.000,
        ("fast", "high", "BI5-36-4k-2, 3") : 4.849,
        ("fast", "low",  "BI5-36-4k-2, 3") : 1.510,
        ("slow", "low",  "BI5-36-4k-2, 4") : 1.626,
        ("slow", "high", "BI5-36-4k-2, 4") : 1.000,
        ("fast", "high", "BI5-36-4k-2, 4") : 4.688,
        ("fast", "low",  "BI5-36-4k-2, 4") : 1.437,
        #AMPS 5-8 (CCD2)
        ("slow", "low",  "BI11-33-4k-1, 1") : 1.664,
        ("slow", "high", "BI11-33-4k-1, 1") : 1.000,
        ("fast", "high", "BI11-33-4k-1, 1") : 4.867,
        ("fast", "low",  "BI11-33-4k-1, 1") : 1.422,
        ("slow", "low",  "BI11-33-4k-1, 2") : 1.691,
        ("slow", "high", "BI11-33-4k-1, 2") : 1.000,
        ("fast", "high", "BI11-33-4k-1, 2") : 4.706,
        ("fast", "low",  "BI11-33-4k-1, 2") : 1.409,
        ("slow", "low",  "BI11-33-4k-1, 3") : 1.681,
        ("slow", "high", "BI11-33-4k-1, 3") : 1.000,
        ("fast", "high", "BI11-33-4k-1, 3") : 4.902,
        ("fast", "low",  "BI11-33-4k-1, 3") : 1.333,
        ("slow", "low",  "BI11-33-4k-1, 4") : 1.739,
        ("slow", "high", "BI11-33-4k-1, 4") : 1.000,
        ("fast", "high", "BI11-33-4k-1, 4") : 4.938,
        ("fast", "low",  "BI11-33-4k-1, 4") : 1.561,
         #AMPS 9-12 (CCD3)
        ("slow", "low",  "BI12-34-4k-1, 1") : 1.519,
        ("slow", "high", "BI12-34-4k-1, 1") : 1.000,
        ("fast", "high", "BI12-34-4k-1, 1") : 4.343,
        ("fast", "low",  "BI12-34-4k-1, 1") : 1.304,
        ("slow", "low",  "BI12-34-4k-1, 2") : 1.510,
        ("slow", "high", "BI12-34-4k-1, 2") : 1.000,
        ("fast", "high", "BI12-34-4k-1, 2") : 4.334,
        ("fast", "low",  "BI12-34-4k-1, 2") : 1.304,
        ("slow", "low",  "BI12-34-4k-1, 3") : 1.508,
        ("slow", "high", "BI12-34-4k-1, 3") : 1.000,
        ("fast", "high", "BI12-34-4k-1, 3") : 4.384,
        ("fast", "low",  "BI12-34-4k-1, 3") : 1.336,
        ("slow", "low",  "BI12-34-4k-1, 4") : 1.613,
        ("slow", "high", "BI12-34-4k-1, 4") : 1.000,
        ("fast", "high", "BI12-34-4k-1, 4") : 4.588,
        ("fast", "low",  "BI12-34-4k-1, 4") : 1.424   
    }
    
gmosampsGainBefore20060831 = {
        # Database of GMOS CCD amplifier GAIN properties
        # before 2006-08-31
        # Columns below are given as:
        # READOUT, GAINSTATE, AMPNAME : GAIN
        # GMOS-N
        # EEV CCDs best amps
        ("slow", "low",  "EEV 9273-16-03, right") : 2.100,
        ("slow", "high", "EEV 9273-16-03, right") : 4.405,
        ("fast", "high", "EEV 9273-16-03, right") : 4.839,
        ("fast", "low",  "EEV 9273-16-03, right") : 2.302,
        ("slow", "low",  "EEV 9273-20-04, right") : 2.337,
        ("slow", "high", "EEV 9273-20-04, right") : 4.916,
        ("fast", "high", "EEV 9273-20-04, right") : 5.432,
        ("fast", "low",  "EEV 9273-20-04, right") : 2.578,
        ("slow", "low",  "EEV 9273-20-03, left")  : 2.300,
        ("slow", "high", "EEV 9273-20-03, left")  : 4.841,
        ("fast", "high", "EEV 9273-20-03, left")  : 5.397,
        ("fast", "low",  "EEV 9273-20-03, left")  : 2.560,
        # EEV CCDs secondary amps 
        ("slow", "low",  "EEV 9273-16-03, left")  : 2.012,
        ("slow", "high", "EEV 9273-16-03, left")  : 4.247,
        ("fast", "high", "EEV 9273-16-03, left")  : 4.629,
        ("fast", "low",  "EEV 9273-16-03, left")  : 2.189,
        ("slow", "low",  "EEV 9273-20-04, left")  : 2.280,
        ("slow", "high", "EEV 9273-20-04, left")  : 4.809,
        ("fast", "high", "EEV 9273-20-04, left")  : 5.275,
        ("fast", "low",  "EEV 9273-20-04, left")  : 2.498,
        ("slow", "low",  "EEV 9273-20-03, right") : 2.257,
        ("slow", "high", "EEV 9273-20-03, right") : 4.779,
        ("fast", "high", "EEV 9273-20-03, right") : 5.354,
        ("fast", "low",  "EEV 9273-20-03, right") : 2.526,
        # GMOS-S: New Gain/RN/Bias values (2006oct25) for 
        # EEV CCDs best amps
        ("slow", "low",  "EEV 8056-20-03, left")  : 1.940,
        ("slow", "high", "EEV 8056-20-03, left")  : 4.100,
        ("fast", "high", "EEV 8056-20-03, left")  : 5.300,
        ("fast", "low",  "EEV 8056-20-03, left")  : 2.400,
        ("slow", "low",  "EEV 8194-19-04, left")  : 2.076,
        ("slow", "high", "EEV 8194-19-04, left")  : 4.532,
        ("fast", "high", "EEV 8194-19-04, left")  : 5.051,
        ("fast", "low",  "EEV 8194-19-04, left")  : 2.295,
        ("slow", "low",  "EEV 8261-07-04, right") : 2.097,
        ("slow", "high", "EEV 8261-07-04, right") : 4.411,
        ("fast", "high", "EEV 8261-07-04, right") : 4.833,
        ("fast", "low",  "EEV 8261-07-04, right") : 2.260,
        # EEV CCDs secondary amps
        ("slow", "low",  "EEV 8056-20-03, right") : 2.000,
        ("slow", "high", "EEV 8056-20-03, right") : 4.200,
        ("fast", "high", "EEV 8056-20-03, right") : 5.300,
        ("fast", "low",  "EEV 8056-20-03, right") : 2.400,
        ("slow", "low",  "EEV 8194-19-04, right") : 2.131,
        ("slow", "high", "EEV 8194-19-04, right") : 4.592,
        ("fast", "high", "EEV 8194-19-04, right") : 4.95,
        ("fast", "low",  "EEV 8194-19-04, right") : 2.288,
        ("slow", "low",  "EEV 8261-07-04, left")  : 2.056,
        ("slow", "high", "EEV 8261-07-04, left")  : 4.381,
        ("fast", "high", "EEV 8261-07-04, left")  : 4.868,
        ("fast", "low",  "EEV 8261-07-04, left")  : 2.264,
        # new GMOS-S EEV CCD: Best/Secondary
        ("slow", "low",  "EEV 2037-06-03, left")  : 2.372,
        ("slow", "high", "EEV 2037-06-03, left")  : 4.954,
        ("fast", "high", "EEV 2037-06-03, left")  : 5.054,
        ("fast", "low",  "EEV 2037-06-03, left")  : 2.408,
        ("slow", "low",  "EEV 2037-06-03, right") : 2.403,
        ("slow", "high", "EEV 2037-06-03, right") : 4.862,
        ("fast", "high", "EEV 2037-06-03, right") : 5.253,
        ("fast", "low",  "EEV 2037-06-03, right") : 2.551
    }

gmosampsRdnoise = {
        # Database of GMOS CCD amplifier READNOISE properties
        # after 2006-08-31
        # Columns below are given as:
        # READOUT, GAINSTATE, AMPNAME : READNOISE (in electrons)
        # GMOS-N:
        # e2vDD CCDs best amps
        ("slow", "low",  "e2v 10031-23-05, right") : 3.17,
        ("slow", "high", "e2v 10031-23-05, right") : 3.20,
        ("fast", "high", "e2v 10031-23-05, right") : 7.80,
        ("fast", "low",  "e2v 10031-23-05, right") : 4.20,
        ("slow", "low",  "e2v 10031-01-03, right") : 3.22,
        ("slow", "high", "e2v 10031-01-03, right") : 1.50,
        ("fast", "high", "e2v 10031-01-03, right") : 5.80,
        ("fast", "low",  "e2v 10031-01-03, right") : 4.10,
        ("slow", "low",  "e2v 10031-18-04, left")  : 3.46,
        ("slow", "high", "e2v 10031-18-04, left")  : 2.80,
        ("fast", "high", "e2v 10031-18-04, left")  : 6.40,
        ("fast", "low",  "e2v 10031-18-04, left")  : 4.30,
        # e2vDD CCDs secondary amps
        ("slow", "low",  "e2v 10031-23-05, left")  : 3.41,
        ("slow", "high", "e2v 10031-23-05, left")  : 3.10,
        ("fast", "high", "e2v 10031-23-05, left")  : 7.00,
        ("fast", "low",  "e2v 10031-23-05, left")  : 4.30,
        ("slow", "low",  "e2v 10031-01-03, left")  : 3.20,
        ("slow", "high", "e2v 10031-01-03, left")  : 2.40,
        ("fast", "high", "e2v 10031-01-03, left")  : 5.70,
        ("fast", "low",  "e2v 10031-01-03, left")  : 4.10,
        ("slow", "low",  "e2v 10031-18-04, right") : 3.44,
        ("slow", "high", "e2v 10031-18-04, right") : 3.10,
        ("fast", "high", "e2v 10031-18-04, right") : 6.30,
        ("fast", "low",  "e2v 10031-18-04, right") : 4.40,
        # EEV best amps
        ("slow", "low",  "EEV 9273-16-03, right") : 3.5,
        ("slow", "high", "EEV 9273-16-03, right") : 5.1,
        ("fast", "high", "EEV 9273-16-03, right") : 6.6,
        ("fast", "low",  "EEV 9273-16-03, right") : 4.9,
        ("slow", "low",  "EEV 9273-20-04, right") : 3.3,
        ("slow", "high", "EEV 9273-20-04, right") : 5.1,
        ("fast", "high", "EEV 9273-20-04, right") : 7.0,
        ("fast", "low",  "EEV 9273-20-04, right") : 4.7,
        ("slow", "low",  "EEV 9273-20-03, left")  : 3.0,
        ("slow", "high", "EEV 9273-20-03, left")  : 4.8,
        ("fast", "high", "EEV 9273-20-03, left")  : 6.9,
        ("fast", "low",  "EEV 9273-20-03, left")  : 4.8,
        # EEV secondary amps
        ("slow", "low",  "EEV 9273-16-03, left")  : 3.5,
        ("slow", "high", "EEV 9273-16-03, left")  : 4.6,
        ("fast", "high", "EEV 9273-16-03, left")  : 5.9,
        ("fast", "low",  "EEV 9273-16-03, left")  : 4.5,
        ("slow", "low",  "EEV 9273-20-04, left")  : 3.9,
        ("slow", "high", "EEV 9273-20-04, left")  : 4.8,
        ("fast", "high", "EEV 9273-20-04, left")  : 11.0,
        ("fast", "low",  "EEV 9273-20-04, left")  : 4.8,
        ("slow", "low",  "EEV 9273-20-03, right") : 3.3,
        ("slow", "high", "EEV 9273-20-03, right") : 5.0,
        ("fast", "high", "EEV 9273-20-03, right") : 8.0,
        ("fast", "low",  "EEV 9273-20-03, right") : 4.7,
        # GMOS-S: 
        # EEV best amps
        ("slow", "low",  "EEV 8056-20-03, left")  : 3.20,
        ("slow", "high", "EEV 8056-20-03, left")  : 4.20,
        ("fast", "high", "EEV 8056-20-03, left")  : 6.80,
        ("fast", "low",  "EEV 8056-20-03, left")  : 4.40,
        ("slow", "low",  "EEV 8194-19-04, left")  : 3.85,
        ("slow", "high", "EEV 8194-19-04, left")  : 4.81,
        ("fast", "high", "EEV 8194-19-04, left")  : 7.35,
        ("fast", "low",  "EEV 8194-19-04, left")  : 4.42,
        ("slow", "low",  "EEV 8261-07-04, right") : 3.16,
        ("slow", "high", "EEV 8261-07-04, right") : 4.34,
        ("fast", "high", "EEV 8261-07-04, right") : 7.88,
        ("fast", "low",  "EEV 8261-07-04, right") : 4.09,
        # EEV secondary amps
        ("slow", "low",  "EEV 8056-20-03, right") : 3.40,
        ("slow", "high", "EEV 8056-20-03, right") : 4.90,
        ("fast", "high", "EEV 8056-20-03, right") : 6.30,
        ("fast", "low",  "EEV 8056-20-03, right") : 4.30,
        ("slow", "low",  "EEV 8194-19-04, right") : 3.83,
        ("slow", "high", "EEV 8194-19-04, right") : 4.96,
        ("fast", "high", "EEV 8194-19-04, right") : 11.37,
        ("fast", "low",  "EEV 8194-19-04, right") : 5.03,
        ("slow", "low",  "EEV 8261-07-04, left")  : 3.27,
        ("slow", "high", "EEV 8261-07-04, left")  : 4.81,
        ("fast", "high", "EEV 8261-07-04, left")  : 8.56,
        ("fast", "low",  "EEV 8261-07-04, left")  : 4.63,
        # new GMOS-S EEV CCD: Best/Secondary
        ("slow", "low",  "EEV 2037-06-03, left")  : 3.98,
        ("slow", "high", "EEV 2037-06-03, left")  : 5.70,
        ("fast", "high", "EEV 2037-06-03, left")  : 6.84,
        ("fast", "low",  "EEV 2037-06-03, left")  : 4.49,
        ("slow", "low",  "EEV 2037-06-03, right") : 4.01,
        ("slow", "high", "EEV 2037-06-03, right") : 5.19,
        ("fast", "high", "EEV 2037-06-03, right") : 6.54,
        ("fast", "low",  "EEV 2037-06-03, right") : 5.07,
        # GMOS-S Hamamatsu CCDs
        #AMPS 4-1 (CCD1)
        ("slow", "low",  "BI5-36-4k-2, 1") : 4.240,
        ("slow", "high", "BI5-36-4k-2, 1") : 0.000,
        ("fast", "high", "BI5-36-4k-2, 1") :10.426,
        ("fast", "low",  "BI5-36-4k-2, 1") : 7.725,
        ("slow", "low",  "BI5-36-4k-2, 2") : 4.000,
        ("slow", "high", "BI5-36-4k-2, 2") : 0.00 ,
        ("fast", "high", "BI5-36-4k-2, 2") : 8.109,
        ("fast", "low",  "BI5-36-4k-2, 2") : 6.891,
        ("slow", "low",  "BI5-36-4k-2, 3") : 4.250,
        ("slow", "high", "BI5-36-4k-2, 3") : 0.00 ,
        ("fast", "high", "BI5-36-4k-2, 3") : 8.248,
        ("fast", "low",  "BI5-36-4k-2, 3") : 7.244,
        ("slow", "low",  "BI5-36-4k-2, 4") : 4.030,
        ("slow", "high", "BI5-36-4k-2, 4") : 0.00 ,
        ("fast", "high", "BI5-36-4k-2, 4") : 8.283,
        ("fast", "low",  "BI5-36-4k-2, 4") : 7.114,
        #AMPS 8-5 (CCD2)
        ("slow", "low",  "BI11-33-4k-1, 1") : 4.120,
        ("slow", "high", "BI11-33-4k-1, 1") : 0.00 ,
        ("fast", "high", "BI11-33-4k-1, 1") : 8.223,
        ("fast", "low",  "BI11-33-4k-1, 1") : 5.986,
        ("slow", "low",  "BI11-33-4k-1, 2") : 3.830,
        ("slow", "high", "BI11-33-4k-1, 2") : 0.00 ,
        ("fast", "high", "BI11-33-4k-1, 2") : 7.939,
        ("fast", "low",  "BI11-33-4k-1, 2") : 6.660,
        ("slow", "low",  "BI11-33-4k-1, 3") : 3.980,
        ("slow", "high", "BI11-33-4k-1, 3") : 0.00 ,
        ("fast", "high", "BI11-33-4k-1, 3") : 7.650,
        ("fast", "low",  "BI11-33-4k-1, 3") : 5.658,
        ("slow", "low",  "BI11-33-4k-1, 4") : 3.800,
        ("slow", "high", "BI11-33-4k-1, 4") : 0.00 ,
        ("fast", "high", "BI11-33-4k-1, 4") : 8.255,
        ("fast", "low",  "BI11-33-4k-1, 4") : 7.490,
        #AMPS 12-9 (CCD3)
        ("slow", "low",  "BI12-34-4k-1, 1") : 3.460,
        ("slow", "high", "BI12-34-4k-1, 1") : 0.00 ,
        ("fast", "high", "BI12-34-4k-1, 1") : 7.460,
        ("fast", "low",  "BI12-34-4k-1, 1") : 6.556,
        ("slow", "low",  "BI12-34-4k-1, 2") : 3.350,
        ("slow", "high", "BI12-34-4k-1, 2") : 0.00 ,
        ("fast", "high", "BI12-34-4k-1, 2") : 6.522,
        ("fast", "low",  "BI12-34-4k-1, 2") : 5.401,
        ("slow", "low",  "BI12-34-4k-1, 3") : 3.250,
        ("slow", "high", "BI12-34-4k-1, 3") : 0.00 ,
        ("fast", "high", "BI12-34-4k-1, 3") : 7.383,
        ("fast", "low",  "BI12-34-4k-1, 3") : 5.907,
        ("slow", "low",  "BI12-34-4k-1, 4") : 3.500,
        ("slow", "high", "BI12-34-4k-1, 4") : 0.00 ,
        ("fast", "high", "BI12-34-4k-1, 4") : 6.574,
        ("fast", "low",  "BI12-34-4k-1, 4") : 5.446
    }

gmosampsRdnoiseBefore20060831 = {
        # Database of GMOS CCD amplifier READNOISE properties
        # before 2006-08-31
        # Columns below are given as:
        # READOUT, GAINSTATE, AMPNAME : READNOISE
        # GMOS-N:
        # EEV best amps
        ("slow", "low",  "EEV 9273-16-03, right") : 3.5,
        ("slow", "high", "EEV 9273-16-03, right") : 5.1,
        ("fast", "high", "EEV 9273-16-03, right") : 6.6,
        ("fast", "low",  "EEV 9273-16-03, right") : 4.9,
        ("slow", "low",  "EEV 9273-20-04, right") : 3.3,
        ("slow", "high", "EEV 9273-20-04, right") : 5.1,
        ("fast", "high", "EEV 9273-20-04, right") : 7.0,
        ("fast", "low",  "EEV 9273-20-04, right") : 4.7,
        ("slow", "low",  "EEV 9273-20-03, left")  : 3.0,
        ("slow", "high", "EEV 9273-20-03, left")  : 4.8,
        ("fast", "high", "EEV 9273-20-03, left")  : 6.9,
        ("fast", "low",  "EEV 9273-20-03, left")  : 4.8,
        # EEV secondary amps
        ("slow", "low",  "EEV 9273-16-03, left")  : 3.5,
        ("slow", "high", "EEV 9273-16-03, left")  : 4.6,
        ("fast", "high", "EEV 9273-16-03, left")  : 5.9,
        ("fast", "low",  "EEV 9273-16-03, left")  : 4.5,
        ("slow", "low",  "EEV 9273-20-04, left")  : 3.9,
        ("slow", "high", "EEV 9273-20-04, left")  : 4.8,
        ("fast", "high", "EEV 9273-20-04, left")  : 11.0,
        ("fast", "low",  "EEV 9273-20-04, left")  : 4.8,
        ("slow", "low",  "EEV 9273-20-03, right") : 3.3,
        ("slow", "high", "EEV 9273-20-03, right") : 5.0,
        ("fast", "high", "EEV 9273-20-03, right") : 8.0,
        ("fast", "low",  "EEV 9273-20-03, right") : 4.7,
        # GMOS-S:
        # EEV best amps
        ("slow", "low",  "EEV 8056-20-03, left")  : 3.2,
        ("slow", "high", "EEV 8056-20-03, left")  : 4.2,
        ("fast", "high", "EEV 8056-20-03, left")  : 6.8,
        ("fast", "low",  "EEV 8056-20-03, left")  : 4.4,
        ("slow", "low",  "EEV 8194-19-04, left")  : 3.69,
        ("slow", "high", "EEV 8194-19-04, left")  : 4.69,
        ("fast", "high", "EEV 8194-19-04, left")  : 6.14,
        ("fast", "low",  "EEV 8194-19-04, left")  : 4.73,
        ("slow", "low",  "EEV 8261-07-04, right") : 3.31,
        ("slow", "high", "EEV 8261-07-04, right") : 4.45,
        ("fast", "high", "EEV 8261-07-04, right") : 6.20,
        ("fast", "low",  "EEV 8261-07-04, right") : 4.58,
        # EEV secondary amps
        ("slow", "low",  "EEV 8056-20-03, right") : 3.4,
        ("slow", "high", "EEV 8056-20-03, right") : 4.9,
        ("fast", "high", "EEV 8056-20-03, right") : 6.3,
        ("fast", "low",  "EEV 8056-20-03, right") : 4.3,
        ("slow", "low",  "EEV 8194-19-04, right") : 3.93,
        ("slow", "high", "EEV 8194-19-04, right") : 5.46,
        ("fast", "high", "EEV 8194-19-04, right") : 8.41,
        ("fast", "low",  "EEV 8194-19-04, right") : 5.25,
        ("slow", "low",  "EEV 8261-07-04, left")  : 3.65,
        ("slow", "high", "EEV 8261-07-04, left")  : 4.85,
        ("fast", "high", "EEV 8261-07-04, left")  : 6.92,
        ("fast", "low",  "EEV 8261-07-04, left")  : 4.99,
        # new GMOS-S EEV CCD: Best/Secondary
        ("slow", "low",  "EEV 2037-06-03, left")  : 3.97,
        ("slow", "high", "EEV 2037-06-03, left")  : 5.13,
        ("fast", "high", "EEV 2037-06-03, left")  : 6.33,
        ("fast", "low",  "EEV 2037-06-03, left")  : 4.94,
        ("slow", "low",  "EEV 2037-06-03, right") : 4.28,
        ("slow", "high", "EEV 2037-06-03, right") : 5.48,
        ("fast", "high", "EEV 2037-06-03, right") : 6.28,
        ("fast", "low",  "EEV 2037-06-03, right") : 4.81
    }

gmosampsBias = {
        # Database of GMOS CCD amplifier BIAS properties
        # after 2006-08-31
        # Columns below are given as:
        # READOUT, GAINSTATE, AMPNAME : BIAS
        # GMOS-N:
        # e2vDD CCDs best amps
        ("slow", "low",  "e2v 10031-23-05, right") : 1176.,
        ("slow", "high", "e2v 10031-23-05, right") : 889.,
        ("fast", "high", "e2v 10031-23-05, right") : 768.,
        ("fast", "low",  "e2v 10031-23-05, right") : 1036.,
        ("slow", "low",  "e2v 10031-01-03, right") : 909.,
        ("slow", "high", "e2v 10031-01-03, right") : 551.,
        ("fast", "high", "e2v 10031-01-03, right") : 429.,
        ("fast", "low",  "e2v 10031-01-03, right") : 757.,
        ("slow", "low",  "e2v 10031-18-04, left")  : 1188.,
        ("slow", "high", "e2v 10031-18-04, left")  : 886.,
        ("fast", "high", "e2v 10031-18-04, left")  : 787.,
        ("fast", "low",  "e2v 10031-18-04, left")  : 1099.,
        # e2vDD CCDs secondary amps
        ("slow", "low",  "e2v 10031-23-05, left")  : 1055.,
        ("slow", "high", "e2v 10031-23-05, left")  : 776.,
        ("fast", "high", "e2v 10031-23-05, left")  : 653.,
        ("fast", "low",  "e2v 10031-23-05, left")  : 917.,
        ("slow", "low",  "e2v 10031-01-03, left")  : 1099.,
        ("slow", "high", "e2v 10031-01-03, left")  : 695.,
        ("fast", "high", "e2v 10031-01-03, left")  : 560.,
        ("fast", "low",  "e2v 10031-01-03, left")  : 934.,
        ("slow", "low",  "e2v 10031-18-04, right") : 1105.,
        ("slow", "high", "e2v 10031-18-04, right") : 827.,
        ("fast", "high", "e2v 10031-18-04, right") : 727.,
        ("fast", "low",  "e2v 10031-18-04, right") : 997.,
        # EEV CCDs best amps
        ("slow", "low",  "EEV 9273-16-03, right") : 738.,
        ("slow", "high", "EEV 9273-16-03, right") : 680.,
        ("fast", "high", "EEV 9273-16-03, right") : 580.,
        ("fast", "low",  "EEV 9273-16-03, right") : 645.,
        ("slow", "low",  "EEV 9273-20-04, right") : 608.,
        ("slow", "high", "EEV 9273-20-04, right") : 561.,
        ("fast", "high", "EEV 9273-20-04, right") : 455.,
        ("fast", "low",  "EEV 9273-20-04, right") : 506.,
        ("slow", "low",  "EEV 9273-20-03, left")  : 370.,
        ("slow", "high", "EEV 9273-20-03, left")  : 295.,
        ("fast", "high", "EEV 9273-20-03, left")  : 224.,
        ("fast", "low",  "EEV 9273-20-03, left")  : 332.,
        # EEV CCDs secondary amps
        ("slow", "low",  "EEV 9273-16-03, left")  : 485.,
        ("slow", "high", "EEV 9273-16-03, left")  : 404.,
        ("fast", "high", "EEV 9273-16-03, left")  : 283.,
        ("fast", "low",  "EEV 9273-16-03, left")  : 361.,
        ("slow", "low",  "EEV 9273-20-04, left")  : 669.,
        ("slow", "high", "EEV 9273-20-04, left")  : 619.,
        ("fast", "high", "EEV 9273-20-04, left")  : 533.,
        ("fast", "low",  "EEV 9273-20-04, left")  : 593.,
        ("slow", "low",  "EEV 9273-20-03, right") : 737.,
        ("slow", "high", "EEV 9273-20-03, right") : 673.,
        ("fast", "high", "EEV 9273-20-03, right") : 570.,
        ("fast", "low",  "EEV 9273-20-03, right") : 635.,
        # GMOS-S:
        # EEV CCDs best amps
        ("slow", "low",  "EEV 8056-20-03, left")  : 602.,
        ("slow", "high", "EEV 8056-20-03, left")  : 547.,
        ("fast", "high", "EEV 8056-20-03, left")  : 443.,
        ("fast", "low",  "EEV 8056-20-03, left")  : 503.,
        ("slow", "low",  "EEV 8194-19-04, left")  : 667.,
        ("slow", "high", "EEV 8194-19-04, left")  : 571.,
        ("fast", "high", "EEV 8194-19-04, left")  : 449.,
        ("fast", "low",  "EEV 8194-19-04, left")  : 535.,
        ("slow", "low",  "EEV 8261-07-04, right") : 644.,
        ("slow", "high", "EEV 8261-07-04, right") : 536.,
        ("fast", "high", "EEV 8261-07-04, right") : 448.,
        ("fast", "low",  "EEV 8261-07-04, right") : 559.,
        # EEV CCDs secondary amps
        ("slow", "low",  "EEV 8056-20-03, right") : 579.,
        ("slow", "high", "EEV 8056-20-03, right") : 488.,
        ("fast", "high", "EEV 8056-20-03, right") : 370.,
        ("fast", "low",  "EEV 8056-20-03, right") : 443.,
        ("slow", "low",  "EEV 8194-19-04, right") : 674.,
        ("slow", "high", "EEV 8194-19-04, right") : 610.,
        ("fast", "high", "EEV 8194-19-04, right") : 494.,
        ("fast", "low",  "EEV 8194-19-04, right") : 571.,
        ("slow", "low",  "EEV 8261-07-04, left")  : 784.,
        ("slow", "high", "EEV 8261-07-04, left")  : 647.,
        ("fast", "high", "EEV 8261-07-04, left")  : 528.,
        ("fast", "low",  "EEV 8261-07-04, left")  : 663.,
        # new GMOS-S EEV CCD: Best/Secondary
        ("slow", "low",  "EEV 2037-06-03, left")  : 714.,
        ("slow", "high", "EEV 2037-06-03, left")  : 634.,
        ("fast", "high", "EEV 2037-06-03, left")  : 517.,
        ("fast", "low",  "EEV 2037-06-03, left")  : 583.,
        ("slow", "low",  "EEV 2037-06-03, right") : 572.,
        ("slow", "high", "EEV 2037-06-03, right") : 492.,
        ("fast", "high", "EEV 2037-06-03, right") : 377.,
        ("fast", "low",  "EEV 2037-06-03, right") : 448., 
        # GMOS-S Hamamatsu CCDs
        #AMPS 4-1 (CCD1)
        ("slow", "low",  "BI5-36-4k-2, 1") : 3218.,
        ("slow", "high", "BI5-36-4k-2, 1") : 0.000,
        ("fast", "high", "BI5-36-4k-2, 1") : 1932.,
        ("fast", "low",  "BI5-36-4k-2, 1") : 1829.,
        ("slow", "low",  "BI5-36-4k-2, 2") : 3359.,
        ("slow", "high", "BI5-36-4k-2, 2") : 0.000,
        ("fast", "high", "BI5-36-4k-2, 2") : 2288.,
        ("fast", "low",  "BI5-36-4k-2, 2") : 2430.,
        ("slow", "low",  "BI5-36-4k-2, 3") : 3270.,
        ("slow", "high", "BI5-36-4k-2, 3") : 0.000,
        ("fast", "high", "BI5-36-4k-2, 3") : 1760.,
        ("fast", "low",  "BI5-36-4k-2, 3") : 1901.,
        ("slow", "low",  "BI5-36-4k-2, 4") : 3316.,
        ("slow", "high", "BI5-36-4k-2, 4") : 0.000,
        ("fast", "high", "BI5-36-4k-2, 4") : 2098.,
        ("fast", "low",  "BI5-36-4k-2, 4") : 2494.,

        #AMPS 8-5 (CCD2)
        ("slow", "low",  "BI11-33-4k-1, 1") : 3025.,
        ("slow", "high", "BI11-33-4k-1, 1") : 0.000,
        ("fast", "high", "BI11-33-4k-1, 1") : 1890.,
        ("fast", "low",  "BI11-33-4k-1, 1") : 2113.,
        ("slow", "low",  "BI11-33-4k-1, 2") : 2942.,
        ("slow", "high", "BI11-33-4k-1, 2") : 0.000,
        ("fast", "high", "BI11-33-4k-1, 2") : 2106.,
        ("fast", "low",  "BI11-33-4k-1, 2") : 2067.,
        ("slow", "low",  "BI11-33-4k-1, 3") : 2948.,
        ("slow", "high", "BI11-33-4k-1, 3") : 0.000,
        ("fast", "high", "BI11-33-4k-1, 3") : 2217.,
        ("fast", "low",  "BI11-33-4k-1, 3") : 2342.,
        ("slow", "low",  "BI11-33-4k-1, 4") : 2985.,
        ("slow", "high", "BI11-33-4k-1, 4") : 0.000,
        ("fast", "high", "BI11-33-4k-1, 4") : 1947.,
        ("fast", "low",  "BI11-33-4k-1, 4") : 1808.,
        #AMPS 12-9 (CCD3)
        ("slow", "low",  "BI12-34-4k-1, 1") : 3162.,
        ("slow", "high", "BI12-34-4k-1, 1") : 0.000,
        ("fast", "high", "BI12-34-4k-1, 1") : 2467.,
        ("fast", "low",  "BI12-34-4k-1, 1") : 2745.,
        ("slow", "low",  "BI12-34-4k-1, 2") : 3113.,
        ("slow", "high", "BI12-34-4k-1, 2") : 0.000,
        ("fast", "high", "BI12-34-4k-1, 2") : 1962.,
        ("fast", "low",  "BI12-34-4k-1, 2") : 1823.,
        ("slow", "low",  "BI12-34-4k-1, 3") : 3071.,
        ("slow", "high", "BI12-34-4k-1, 3") : 0.000,
        ("fast", "high", "BI12-34-4k-1, 3") : 2142.,
        ("fast", "low",  "BI12-34-4k-1, 3") : 2201.,
        ("slow", "low",  "BI12-34-4k-1, 4") : 3084.,
        ("slow", "high", "BI12-34-4k-1, 4") : 0.000,
        ("fast", "high", "BI12-34-4k-1, 4") : 1617.,
        ("fast", "low",  "BI12-34-4k-1, 4") : 1263.
    }

gmosampsBiasBefore20060831 = {
        # Database of GMOS CCD amplifier GAIN properties
        # before 2006-08-31
        # Columns below are given as:
        # READOUT, GAINSTATE, AMPNAME : BIAS
        # GMOS-N
        # EEV CCDs best amps
        ("slow", "low",  "EEV 9273-16-03, right") : 738.,
        ("slow", "high", "EEV 9273-16-03, right") : 680.,
        ("fast", "high", "EEV 9273-16-03, right") : 580.,
        ("fast", "low",  "EEV 9273-16-03, right") : 645.,
        ("slow", "low",  "EEV 9273-20-04, right") : 608.,
        ("slow", "high", "EEV 9273-20-04, right") : 561.,
        ("fast", "high", "EEV 9273-20-04, right") : 455.,
        ("fast", "low",  "EEV 9273-20-04, right") : 506.,
        ("slow", "low",  "EEV 9273-20-03, left")  : 370.,
        ("slow", "high", "EEV 9273-20-03, left")  : 295.,
        ("fast", "high", "EEV 9273-20-03, left")  : 224.,
        ("fast", "low",  "EEV 9273-20-03, left")  : 332.,
        # EEV CCDs secondary amps 
        ("slow", "low",  "EEV 9273-16-03, left")  : 485.,
        ("slow", "high", "EEV 9273-16-03, left")  : 404.,
        ("fast", "high", "EEV 9273-16-03, left")  : 283.,
        ("fast", "low",  "EEV 9273-16-03, left")  : 361.,
        ("slow", "low",  "EEV 9273-20-04, left")  : 669.,
        ("slow", "high", "EEV 9273-20-04, left")  : 619.,
        ("fast", "high", "EEV 9273-20-04, left")  : 533.,
        ("fast", "low",  "EEV 9273-20-04, left")  : 593.,
        ("slow", "low",  "EEV 9273-20-03, right") : 737.,
        ("slow", "high", "EEV 9273-20-03, right") : 673.,
        ("fast", "high", "EEV 9273-20-03, right") : 570.,
        ("fast", "low",  "EEV 9273-20-03, right") : 635.,
        # GMOS-S: New Gain/RN/Bias values (2006oct25) for 
        # EEV CCDs best amps
        ("slow", "low",  "EEV 8056-20-03, left")  : 602.,
        ("slow", "high", "EEV 8056-20-03, left")  : 547.,
        ("fast", "high", "EEV 8056-20-03, left")  : 443.,
        ("fast", "low",  "EEV 8056-20-03, left")  : 503.,
        ("slow", "low",  "EEV 8194-19-04, left")  : 579.,
        ("slow", "high", "EEV 8194-19-04, left")  : 497.,
        ("fast", "high", "EEV 8194-19-04, left")  : 392.,
        ("fast", "low",  "EEV 8194-19-04, left")  : 486.,
        ("slow", "low",  "EEV 8261-07-04, right") : 627.,
        ("slow", "high", "EEV 8261-07-04, right") : 532.,
        ("fast", "high", "EEV 8261-07-04, right") : 784.,
        ("fast", "low",  "EEV 8261-07-04, right") : 622.,
        # EEV CCDs secondary amps
        ("slow", "low",  "EEV 8056-20-03, right") : 579.,
        ("slow", "high", "EEV 8056-20-03, right") : 488.,
        ("fast", "high", "EEV 8056-20-03, right") : 370.,
        ("fast", "low",  "EEV 8056-20-03, right") : 443.,
        ("slow", "low",  "EEV 8194-19-04, right") : 614.,
        ("slow", "high", "EEV 8194-19-04, right") : 552.,
        ("fast", "high", "EEV 8194-19-04, right") : 459.,
        ("fast", "low",  "EEV 8194-19-04, right") : 533.,
        ("slow", "low",  "EEV 8261-07-04, left")  : 749.,
        ("slow", "high", "EEV 8261-07-04, left")  : 634.,
        ("fast", "high", "EEV 8261-07-04, left")  : 536.,
        ("fast", "low",  "EEV 8261-07-04, left")  : 663.,
        # new GMOS-S EEV CCD: Best/Secondary
        ("slow", "low",  "EEV 2037-06-03, left")  : 609.,
        ("slow", "high", "EEV 2037-06-03, left")  : 548.,
        ("fast", "high", "EEV 2037-06-03, left")  : 456.,
        ("fast", "low",  "EEV 2037-06-03, left")  : 534.,
        ("slow", "low",  "EEV 2037-06-03, right") : 566.,
        ("slow", "high", "EEV 2037-06-03, right") : 480.,
        ("fast", "high", "EEV 2037-06-03, right") : 369.,
        ("fast", "low",  "EEV 2037-06-03, right") : 439.
    }
